# Uses of Enum Class
javafx.scene.control.ButtonBar.ButtonData

Packages that use ButtonBar.ButtonData
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of ButtonBar.ButtonData in javafx.scene.control

Methods in javafx.scene.control that return ButtonBar.ButtonData
Modifier and Type
Method
Description
`static ButtonBar.ButtonData`
ButtonBar.`getButtonData(Node button)`
Returns the previously set ButtonData property on the given button.
`final ButtonBar.ButtonData`
ButtonType.`getButtonData()`
Returns the ButtonData specified for this ButtonType in the constructor.
`static ButtonBar.ButtonData`
ButtonBar.ButtonData.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ButtonBar.ButtonData[]`
ButtonBar.ButtonData.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control with parameters of type ButtonBar.ButtonData
Modifier and Type
Method
Description
`static void`
ButtonBar.`setButtonData(Node button, ButtonBar.ButtonData buttonData)`
Sets the given ButtonData on the given button.
Constructors in javafx.scene.control with parameters of type ButtonBar.ButtonData
Modifier
Constructor
Description
``
`ButtonType(String text, ButtonBar.ButtonData buttonData)`
Creates a ButtonType instance with the given text, and the ButtonData set as specified.